import { UmbDocumentCultureAndHostnamesServerDataSource } from './culture-and-hostnames.server.data.js';
import { UmbControllerBase } from '../../../../../../libs/class-api/index.js';
export class UmbDocumentCultureAndHostnamesRepository extends UmbControllerBase {
    #dataSource = new UmbDocumentCultureAndHostnamesServerDataSource(this);
    async readCultureAndHostnames(unique) {
        if (!unique)
            throw new Error('Unique is missing');
        return this.#dataSource.read(unique);
    }
    async updateCultureAndHostnames(unique, data) {
        if (!unique)
            throw new Error('Unique is missing');
        if (!data)
            throw new Error('Data is missing');
        return this.#dataSource.update(unique, data);
    }
}
export { UmbDocumentCultureAndHostnamesRepository as api };
